local shade  = love.graphics.newShader [[

	extern float x, y, size, aspect;
	vec4 effect(vec4 global_color, Image texture, vec2 tc, vec2 pc )

	{vec4 pixel;
	float root = sqrt((x-tc.x)*(x-tc.x)+((y-tc.y)/aspect)*((y-tc.y)/aspect));
		{
		pixel = Texel(texture, vec2( tc.x, tc.y ) );
		pixel.r = clamp(pixel.r-root/size,.1,1);
		pixel.g = clamp(pixel.g-root/size,.1,1);
		pixel.b = clamp(pixel.b-root/size,.1,1);
		pixel.a = pixel.a;
		}
		return pixel;
		}

	]]

return shade
